#include <iostream>
#include <string>
#define endl '\n';
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string a;
    char b;
    getline(cin, a, '\n');
    cin >> b;
    int i;
    if(b=='c'){
        for(i = 0; i<a.size(); i++){
            if(a[i] == 'a'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'e'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'u'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'i'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'o'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'A'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'E'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'U'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'I'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'O'){
                cout << a[i] << 'f' << a[i];
            } else {
                cout << a[i];
            }
        }
    }
    return 0;
}
